function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useEffect, useState, useRef } from 'react';
import { Icon, Form } from 'rlj-design';
import FilterValue from "./FilterValue";
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/filterContent.less";
var prefixCls = "".concat(PREFIX_CLS, "-filter-content");

var FilterContent = function FilterContent(props) {
  var filterTitle = props.filterTitle,
      filterSecondTitle = props.filterSecondTitle;

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      isTreeScroll = _useState2[0],
      setIsTreeScroll = _useState2[1];

  var ref = useRef(null);

  var _Form$useFormInstance = Form.useFormInstance(),
      validateFields = _Form$useFormInstance.validateFields,
      setFieldsValue = _Form$useFormInstance.setFieldsValue;

  useEffect(function () {
    setFieldsValue({
      fields: [undefined]
    });
  }, []);

  var addNewItem = function addNewItem(add) {
    validateFields().then(function () {
      add();
    }).then(function () {
      try {
        var _ref$current;

        ref.current.scrollTop = ref === null || ref === void 0 ? void 0 : (_ref$current = ref.current) === null || _ref$current === void 0 ? void 0 : _ref$current.scrollHeight;
      } catch (error) {
        console.log(error);
      }
    }).catch(function (error) {
      console.log(error);
    });
  };

  var BORDER = {
    borderBottom: '1px solid #e6eaef',
    borderTop: '1px solid #e6eaef',
    paddingBottom: 12
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-title")
  }, filterTitle, /*#__PURE__*/React.createElement("span", null, filterSecondTitle)), /*#__PURE__*/React.createElement(Form.List, {
    name: "fields"
  }, function (fields, _ref) {
    var add = _ref.add,
        remove = _ref.remove;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      ref: ref,
      className: "".concat(prefixCls, "-container"),
      style: isTreeScroll ? BORDER : {},
      onScroll: function onScroll(e) {
        return isTreeScroll === !e.target.scrollTop && setIsTreeScroll(!!e.target.scrollTop);
      }
    }, fields.map(function (item) {
      return /*#__PURE__*/React.createElement(FilterValue, {
        key: item.key,
        item: item,
        remove: remove
      });
    })), /*#__PURE__*/React.createElement(Form.Item, {
      style: {
        padding: '12px 0 16px 24px'
      }
    }, /*#__PURE__*/React.createElement("a", {
      className: "".concat(prefixCls, "-add"),
      onClick: function onClick() {
        return addNewItem(add);
      }
    }, /*#__PURE__*/React.createElement(Icon, {
      type: "add"
    }), "\u6DFB\u52A0\u7B5B\u9009\u6761\u4EF6")));
  }));
};

FilterContent.defaultProps = {
  filterTitle: '筛选',
  filterSecondTitle: '添加多个筛选条件，可交叉选择'
};
export default FilterContent;